package eta_forum

import (
	"eta/eta_forum_task/models"
	"eta/eta_forum_task/models/chart_theme"
)

type UploadChartToForumReq struct {
	ChartInfoId int    `description:"图表ID"`
	Description string `description:"逻辑简述"`
}

type UpdateChartToForumReq struct {
	ChartInfoId int `description:"图表ID"`
}

type ChartSaveLibReq struct {
	ChartInfo               *models.ChartInfo
	Description             string `description:"逻辑简述"`
	EdbInfoList             []*models.EdbInfo
	ChartThemeList          []*chart_theme.ChartTheme
	EdbInfoDataList         []*AddEdbDataReq
	ChartEdbMapping         []*models.ChartEdbMapping
	EdbInfoCalculateMapping []*models.EdbInfoCalculateMapping
	ChartSeries             []*models.ChartSeries
	ChartSeriesEdbMapping   []*models.ChartSeriesEdbMapping
	CreatorInfo             *models.Admin //创建者的账号信息
}

type ChartSaveLibResp struct {
	Ret         int
	Msg         string
	ErrMsg      string
	ErrCode     string
	Data        *models.AddChartInfoResp
	Success     bool `description:"true 执行成功，false 执行失败"`
	IsSendEmail bool `json:"-" description:"true 发送邮件，false 不发送邮件"`
	IsAddLog    bool `json:"-" description:"true 新增操作日志，false 不新增操作日志" `
}

type AddEdbDataReq struct {
	EdbCode  string
	EdbType  int `description:"指标类型:1:基础指标,2:计算指标"`
	DataList []*models.EdbDataBase
}

type DeleteChartReq struct {
	ChartInfoId int `description:"图表id"`
}
